Package com.independentsoft.office.drawing

# Enum Class PresetCameraType

java.lang.Object
java.lang.Enum<PresetCameraType>
com.independentsoft.office.drawing.PresetCameraType

All Implemented Interfaces:
  `Serializable`, `Comparable<PresetCameraType>`, `Constable`

public enum PresetCameraType extends Enum<PresetCameraType>
The Enum PresetCameraType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ISOMETRIC_BOTTOM_DOWN`
  `ISOMETRIC_BOTTOM_UP`
  `ISOMETRIC_LEFT_DOWN`
  `ISOMETRIC_LEFT_UP`
  `ISOMETRIC_OFF_AXIS_1_LEFT`
  `ISOMETRIC_OFF_AXIS_1_RIGHT`
  `ISOMETRIC_OFF_AXIS_1_TOP`
  `ISOMETRIC_OFF_AXIS_2_LEFT`
  `ISOMETRIC_OFF_AXIS_2_RIGHT`
  `ISOMETRIC_OFF_AXIS_2_TOP`
  `ISOMETRIC_OFF_AXIS_3_BOTTOM`
  `ISOMETRIC_OFF_AXIS_3_LEFT`
  `ISOMETRIC_OFF_AXIS_3_RIGHT`
  `ISOMETRIC_OFF_AXIS_4_BOTTOM`
  `ISOMETRIC_OFF_AXIS_4_LEFT`
  `ISOMETRIC_OFF_AXIS_4_RIGHT`
  `ISOMETRIC_RIGHT_DOWN`
  `ISOMETRIC_RIGHT_UP`
  `ISOMETRIC_TOP_DOWN`
  `ISOMETRIC_TOP_UP`
  `LEGACY_OBLIQUE_BOTTOM`
  `LEGACY_OBLIQUE_BOTTOM_LEFT`
  `LEGACY_OBLIQUE_BOTTOM_RIGHT`
  `LEGACY_OBLIQUE_FRONT`
  `LEGACY_OBLIQUE_LEFT`
  `LEGACY_OBLIQUE_RIGHT`
  `LEGACY_OBLIQUE_TOP`
  `LEGACY_OBLIQUE_TOP_LEFT`
  `LEGACY_OBLIQUE_TOP_RIGHT`
  `LEGACY_PERSPECTIVE_BOTTOM`
  `LEGACY_PERSPECTIVE_BOTTOM_LEFT`
  `LEGACY_PERSPECTIVE_BOTTOM_RIGHT`
  `LEGACY_PERSPECTIVE_FRONT`
  `LEGACY_PERSPECTIVE_LEFT`
  `LEGACY_PERSPECTIVE_RIGHT`
  `LEGACY_PERSPECTIVE_TOP`
  `LEGACY_PERSPECTIVE_TOP_LEFT`
  `LEGACY_PERSPECTIVE_TOP_RIGHT`
  `NONE`
  `OBLIQUE_BOTTOM`
  `OBLIQUE_BOTTOM_LEFT`
  `OBLIQUE_BOTTOM_RIGHT`
  `OBLIQUE_LEFT`
  `OBLIQUE_RIGHT`
  `OBLIQUE_TOP`
  `OBLIQUE_TOP_LEFT`
  `OBLIQUE_TOP_RIGHT`
  `ORTHOGRAPHIC_FRONT`
  `PERSPECTIVE_ABOVE`
  `PERSPECTIVE_ABOVE_LEFT_FACING`
  `PERSPECTIVE_ABOVE_RIGTH_FACING`
  `PERSPECTIVE_BELOW`
  `PERSPECTIVE_CONTRASTING_LEFT_FACING`
  `PERSPECTIVE_CONTRASTING_RIGHT_FACING`
  `PERSPECTIVE_FRONT`
  `PERSPECTIVE_HEROIC_EXTREME_LEFT_FACING`
  `PERSPECTIVE_HEROIC_EXTREME_RIGHT_FACING`
  `PERSPECTIVE_HEROIC_LEFT_FACING`
  `PERSPECTIVE_HEROIC_RIGHT_FACING`
  `PERSPECTIVE_LEFT`
  `PERSPECTIVE_RELAXED`
  `PERSPECTIVE_RELAXED_MODERATELY`
  `PERSPECTIVE_RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresetCameraType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresetCameraType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ISOMETRIC_BOTTOM_DOWN

    public static final PresetCameraType ISOMETRIC_BOTTOM_DOWN

  - ### ISOMETRIC_BOTTOM_UP

    public static final PresetCameraType ISOMETRIC_BOTTOM_UP

  - ### ISOMETRIC_LEFT_DOWN

    public static final PresetCameraType ISOMETRIC_LEFT_DOWN

  - ### ISOMETRIC_LEFT_UP

    public static final PresetCameraType ISOMETRIC_LEFT_UP

  - ### ISOMETRIC_OFF_AXIS_1_LEFT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_1_LEFT

  - ### ISOMETRIC_OFF_AXIS_1_RIGHT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_1_RIGHT

  - ### ISOMETRIC_OFF_AXIS_1_TOP

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_1_TOP

  - ### ISOMETRIC_OFF_AXIS_2_LEFT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_2_LEFT

  - ### ISOMETRIC_OFF_AXIS_2_RIGHT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_2_RIGHT

  - ### ISOMETRIC_OFF_AXIS_2_TOP

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_2_TOP

  - ### ISOMETRIC_OFF_AXIS_3_BOTTOM

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_3_BOTTOM

  - ### ISOMETRIC_OFF_AXIS_3_LEFT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_3_LEFT

  - ### ISOMETRIC_OFF_AXIS_3_RIGHT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_3_RIGHT

  - ### ISOMETRIC_OFF_AXIS_4_BOTTOM

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_4_BOTTOM

  - ### ISOMETRIC_OFF_AXIS_4_LEFT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_4_LEFT

  - ### ISOMETRIC_OFF_AXIS_4_RIGHT

    public static final PresetCameraType ISOMETRIC_OFF_AXIS_4_RIGHT

  - ### ISOMETRIC_RIGHT_DOWN

    public static final PresetCameraType ISOMETRIC_RIGHT_DOWN

  - ### ISOMETRIC_RIGHT_UP

    public static final PresetCameraType ISOMETRIC_RIGHT_UP

  - ### ISOMETRIC_TOP_DOWN

    public static final PresetCameraType ISOMETRIC_TOP_DOWN

  - ### ISOMETRIC_TOP_UP

    public static final PresetCameraType ISOMETRIC_TOP_UP

  - ### LEGACY_OBLIQUE_BOTTOM

    public static final PresetCameraType LEGACY_OBLIQUE_BOTTOM

  - ### LEGACY_OBLIQUE_BOTTOM_LEFT

    public static final PresetCameraType LEGACY_OBLIQUE_BOTTOM_LEFT

  - ### LEGACY_OBLIQUE_BOTTOM_RIGHT

    public static final PresetCameraType LEGACY_OBLIQUE_BOTTOM_RIGHT

  - ### LEGACY_OBLIQUE_FRONT

    public static final PresetCameraType LEGACY_OBLIQUE_FRONT

  - ### LEGACY_OBLIQUE_LEFT

    public static final PresetCameraType LEGACY_OBLIQUE_LEFT

  - ### LEGACY_OBLIQUE_RIGHT

    public static final PresetCameraType LEGACY_OBLIQUE_RIGHT

  - ### LEGACY_OBLIQUE_TOP

    public static final PresetCameraType LEGACY_OBLIQUE_TOP

  - ### LEGACY_OBLIQUE_TOP_LEFT

    public static final PresetCameraType LEGACY_OBLIQUE_TOP_LEFT

  - ### LEGACY_OBLIQUE_TOP_RIGHT

    public static final PresetCameraType LEGACY_OBLIQUE_TOP_RIGHT

  - ### LEGACY_PERSPECTIVE_BOTTOM

    public static final PresetCameraType LEGACY_PERSPECTIVE_BOTTOM

  - ### LEGACY_PERSPECTIVE_BOTTOM_LEFT

    public static final PresetCameraType LEGACY_PERSPECTIVE_BOTTOM_LEFT

  - ### LEGACY_PERSPECTIVE_BOTTOM_RIGHT

    public static final PresetCameraType LEGACY_PERSPECTIVE_BOTTOM_RIGHT

  - ### LEGACY_PERSPECTIVE_FRONT

    public static final PresetCameraType LEGACY_PERSPECTIVE_FRONT

  - ### LEGACY_PERSPECTIVE_LEFT

    public static final PresetCameraType LEGACY_PERSPECTIVE_LEFT

  - ### LEGACY_PERSPECTIVE_RIGHT

    public static final PresetCameraType LEGACY_PERSPECTIVE_RIGHT

  - ### LEGACY_PERSPECTIVE_TOP

    public static final PresetCameraType LEGACY_PERSPECTIVE_TOP

  - ### LEGACY_PERSPECTIVE_TOP_LEFT

    public static final PresetCameraType LEGACY_PERSPECTIVE_TOP_LEFT

  - ### LEGACY_PERSPECTIVE_TOP_RIGHT

    public static final PresetCameraType LEGACY_PERSPECTIVE_TOP_RIGHT

  - ### OBLIQUE_BOTTOM

    public static final PresetCameraType OBLIQUE_BOTTOM

  - ### OBLIQUE_BOTTOM_LEFT

    public static final PresetCameraType OBLIQUE_BOTTOM_LEFT

  - ### OBLIQUE_BOTTOM_RIGHT

    public static final PresetCameraType OBLIQUE_BOTTOM_RIGHT

  - ### OBLIQUE_LEFT

    public static final PresetCameraType OBLIQUE_LEFT

  - ### OBLIQUE_RIGHT

    public static final PresetCameraType OBLIQUE_RIGHT

  - ### OBLIQUE_TOP

    public static final PresetCameraType OBLIQUE_TOP

  - ### OBLIQUE_TOP_LEFT

    public static final PresetCameraType OBLIQUE_TOP_LEFT

  - ### OBLIQUE_TOP_RIGHT

    public static final PresetCameraType OBLIQUE_TOP_RIGHT

  - ### ORTHOGRAPHIC_FRONT

    public static final PresetCameraType ORTHOGRAPHIC_FRONT

  - ### PERSPECTIVE_ABOVE

    public static final PresetCameraType PERSPECTIVE_ABOVE

  - ### PERSPECTIVE_ABOVE_LEFT_FACING

    public static final PresetCameraType PERSPECTIVE_ABOVE_LEFT_FACING

  - ### PERSPECTIVE_ABOVE_RIGTH_FACING

    public static final PresetCameraType PERSPECTIVE_ABOVE_RIGTH_FACING

  - ### PERSPECTIVE_BELOW

    public static final PresetCameraType PERSPECTIVE_BELOW

  - ### PERSPECTIVE_CONTRASTING_LEFT_FACING

    public static final PresetCameraType PERSPECTIVE_CONTRASTING_LEFT_FACING

  - ### PERSPECTIVE_CONTRASTING_RIGHT_FACING

    public static final PresetCameraType PERSPECTIVE_CONTRASTING_RIGHT_FACING

  - ### PERSPECTIVE_FRONT

    public static final PresetCameraType PERSPECTIVE_FRONT

  - ### PERSPECTIVE_HEROIC_EXTREME_LEFT_FACING

    public static final PresetCameraType PERSPECTIVE_HEROIC_EXTREME_LEFT_FACING

  - ### PERSPECTIVE_HEROIC_EXTREME_RIGHT_FACING

    public static final PresetCameraType PERSPECTIVE_HEROIC_EXTREME_RIGHT_FACING

  - ### PERSPECTIVE_HEROIC_LEFT_FACING

    public static final PresetCameraType PERSPECTIVE_HEROIC_LEFT_FACING

  - ### PERSPECTIVE_HEROIC_RIGHT_FACING

    public static final PresetCameraType PERSPECTIVE_HEROIC_RIGHT_FACING

  - ### PERSPECTIVE_LEFT

    public static final PresetCameraType PERSPECTIVE_LEFT

  - ### PERSPECTIVE_RELAXED

    public static final PresetCameraType PERSPECTIVE_RELAXED

  - ### PERSPECTIVE_RELAXED_MODERATELY

    public static final PresetCameraType PERSPECTIVE_RELAXED_MODERATELY

  - ### PERSPECTIVE_RIGHT

    public static final PresetCameraType PERSPECTIVE_RIGHT

  - ### NONE

    public static final PresetCameraType NONE

- ## Method Details

  - ### values

    public static PresetCameraType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresetCameraType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null